### Method

# Tsparql Resource set_uri

#### Declaration [src]

    void
    tracker_resource_set_uri (
      TrackerResource* self,
      const char* property_uri,
      const char* value
    )

#### Description [src]

Sets a resource property as an URI string. Replaces any previous value.

This method applies to properties with a rdfs:range that points to a non-literal class (i.e. a subclass of rdfs:Resource).

This function produces similar RDF to `tracker_resource_set_relation()`, although it requires that the URI is previously known.

#### Parameters

`property_uri`

  Type: `const char*`

  A string identifying the property to modify.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  The property object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.